import { useState } from 'react'
import withLayout from '@/layout'
import Taro from '@tarojs/taro'
import { ScrollView, Image } from '@tarojs/components'
import ProjectListItem from '@/components/ProjectListItem/index'
import '@/assets/css/iconfont.css'
import './index.scss'
import ColumnTitle from '../components/ColumnTitle/index'

export default withLayout(() => {
  const [ProjectList, setProjectList] = useState([{}, {}])
  return (
    <view className='brandDetail'>
      <ScrollView scroll-y>
        <view className='Content'>

          {/* 主图 */}
          <view className='Top'>
            <Image mode='scaleToFill' src={null} className='centerLabel'></Image>
          </view>

          {/* 简介 */}
          <view className='Desc'>
            <view>
              <Image mode='heightFix' src={null} className='Logo'></Image>
              <view>
                <text>“东原”</text>
                <text>是一家以地产开发、商业运营、物业服务为核心的大型综合企业。始终坚持稳健创进的发展战略，深耕精选,布局全国一线及强二线城市,位列2020中国房地产开发企业TOP44。</text>
              </view>
            </view>
          </view>

          {/* 在售项目 */}
          <view className='AllProject'>
            <ColumnTitle Name='在售项目' Icon='icon-aixin' ShowMore ToMore={() => { Taro.navigateTo({ url: `/pages/index/buildingList/index` }) }}></ColumnTitle>
            <view className='ProjectList'>
              {
                ProjectList.map((item, index) => (
                  <ProjectListItem Data={item} key={`ProjectListItem-${index}`}></ProjectListItem>
                ))
              }
            </view>
          </view>

          {/* bottom */}
          <view className='PageBottom'>
            <text>已经到底了~</text>
          </view>

        </view>
      </ScrollView>
    </view>
  );
});
