
import withLayout from '@/layout'
import { ScrollView } from '@tarojs/components'
import '@/assets/css/iconfont.css'
import './index.scss'

export default withLayout((props) => {
  const { List = [{}, {}, {}, {}, {}, {}] } = props

  return (
    <view className='Page buildingDynamic'>
      <ScrollView scroll-y>
        <view className='Content'>

          <view className='Top'>
            <text className='iconfont icon-shengming'></text>
            <text>楼盘资讯</text>
            <text className='active'>免责声明》</text>
          </view>

          <view className='List'>
            {
              List.map((item, index) => (
                <view key={`ListItem-${index}`}>
                  <text className='Time'>2019年7月12日</text>
                  <view className='ItemContent'>
                    <text className='Title'>山和九著府预计5月加推5号楼</text>
                    <text className='desc'>山和九著府预计5月加推5号楼，目前在售房源位于89号楼，均价26400元/㎡，户型建筑面积82、89、112㎡，预计2023年6月交付。</text>
                    <view className='Line'></view>
                  </view>
                </view>
              ))
            }
          </view>

          {/* bottom */}
          <view className='PageBottom'>
            <text>已经到底了~</text>
          </view>

        </view>
      </ScrollView>
    </view>
  )
})
