import { useState, useEffect } from 'react'
import withLayout from '@/layout'
import { ScrollView, Image } from '@tarojs/components'
import '@/assets/css/iconfont.css'
import './index.scss'

export default withLayout((props) => {

  const [IsPull, setPull] = useState(false)
  const [PullTimer, setPullTimer] = useState(null)
  const [List, setList] = useState([
    { name: '乖戾', icon: '', time: '11:49' },
    { name: '乖戾', icon: '', time: '11:49' },
    { name: '乖戾', icon: '', time: '11:49' },
    { name: '乖戾', icon: '', time: '11:49' },
    { name: '乖戾', icon: '', time: '11:49' },
    { name: '乖戾', icon: '', time: '11:49' },
  ])

  const PageRefresh = () => { // 页面下拉刷新回调
    setPull(true)
  }

  useEffect(() => { // 下拉刷新触发
    if (IsPull) {
      clearTimeout(PullTimer)
      setPullTimer(setTimeout(() => {
        setPull(false)
      }, 2000))
    }
  }, [IsPull])

  return (
    <view className='Page buildingPropertyConsultant'>
      <ScrollView scroll-y refresher-enabled refresher-triggered={IsPull} onrefresherrefresh={PageRefresh} refresher-background='#fff'>
        <text className='TopTips'>有任何买卖房屋的问题，欢迎随时咨询</text>
        <view className='List'>
          {
            List.map((item, index) => (
              <view key={`ListItem-${index}`}>

                <view className='flex-h'>

                  <view className='Icon'>
                    <Image mode='scaleToFill' src={item.icon || null}></Image>
                  </view>

                  <view className='flex-item'>
                    <view className='Name'>
                      <text>陆毅</text>
                      <Image mode='heightFix' src={require('@/assets/index-icon17.png')}></Image>
                    </view>
                    <text>13045678976</text>
                  </view>

                  <text className='iconfont icon-liaotian'></text>
                  <text className='iconfont icon-dianhua'></text>
                  
                </view>

                <view className='Desc'>
                  <text>好评经纪人，熟悉楼盘特色</text>
                </view>

              </view>
            ))
          }
          <text className='BottomTips'>已经到底了~</text>
        </view>
      </ScrollView>
    </view>
  )
})
